<template>
  <div class="container">
    <div class="col-md-12 mx-auto mt-5 py-5">
      <div class="card">
        <div class="card-header">
          <h1>Peluqueros</h1>
        </div>
        <div class="card-body">
          <table class="table">
            <thead class>
              <tr class="bg-primary">
                <th scope="col">Nombres</th>
                <th scope="col">Apellido</th>
                <th scope="col">Domicilio</th>
                <th scope="col">Fecha alta</th>
                <th scope="col">Telefono</th>
              </tr>
            </thead>
            <template v-for="(listHairdressers, index) in Hairdressers">
              <Hairdressersitem :Hairdressers="listHairdressers" :key="index" />
            </template>
          </table>
        </div>
      </div>
    </div>
  </div>
</template>
<script>
import Hairdressersitem from "@/components/Hairdressers/Hairdressersitem.vue";
export default {
  name: "Service",
  components: {
    Hairdressersitem
  },
  props: {
    Hairdressers: {
      //  propType: Object,
      // required: true
    }
  },
  date() {
    return {
      url: "api/service"
    };
  },
  created() {
    this.display_Hairdressers();
  },
  methods: {
    async display_Hairdressers() {
      const result = await fetch("api/Hairdressers");
      const data = await result.json();
      this.Hairdressers = data;
      console.log("ghh");
    }
  }
};
</script>
<style scoped></style>
